Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354617 - LibreOffice ClipArt manipulation (presentation editing) crashes X
Summary: LibreOffice ClipArt manipulation (presentation editing) crashes X
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 17:58 UTC by Todd Warner
Modified: 2018-03-07 12:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-09 13:53:24 UTC


Attachments (Terms of Use)

Description Todd Warner 2016-07-11 17:58:05 UTC
LibreOffice ClipArt manipulation in the presentation software crashes X

I know this sounds strange, and I don't know if this is an X problem, a LibreOffice problem, or a Gnome3 problem, or a kernel problem, or a hardware interaction problem, ... or some combination thereof.

So...

I have a presentation that I am editing.
I add a piece of clipart (green arrow recycle thing).
I manipulate it (shrink it down a bit) then move it around and BOOM! crash!!!

It takes out my X every, single, time. Doesn't matter if I have HDMI plugged in or not.

My system:
* Laptop: Lenovo T460s
* Fedora 23
* Version of LibreOffice: 5.0.6.2-9.fc23.x86_64
* Kernel (this may be the odd interaction because it is the only kernel that works with this laptop and HDMI)
Linux rh 4.7.0-0.rc3.git3.2.fc25.x86_64 #1 SMP Fri Jun 17 19:51:16 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


Please note that I can edit all kinds of things with no issue. In fact it is a rather large presentation... but crashes... just for that. And it is X that is taken out. Dunno.

Lemme know if you need the presentation. I am not sure I want to submit it here within bugzilla. And it is large.

Comment 1 Caolan McNamara 2016-07-11 18:53:09 UTC
You can send it to me with a step-by-step to see if it has any effect here. If X is dying then I'd like to blame X for the crash rather than whatever we're doing that triggers it.

Where the X logs are can be a bit tricky now. For Fedora 23 what's the output of...

journalctl -b _COMM=gdm-x-session

that might give a hint

Comment 2 Caolan McNamara 2016-09-20 09:39:21 UTC
got any output from...
journalctl -b _COMM=gdm-x-session
after a crash ?

Comment 3 Caolan McNamara 2016-11-11 15:43:24 UTC
ping, is this still a problem ?

Comment 4 Fedora End Of Life 2016-11-25 09:25:04 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.